Subject: Re: bug#22402: info guix pages

From: Leo Famulari <[email-masked]>
Date: Tue, 19 Jan 2016 17:02:34 -0500

On Tue, Jan 19, 2016 at 12:17:32PM -0500, Thompson, David wrote:
> On Tue, Jan 19, 2016 at 4:34 AM, carl hansen <[email-masked]> wrote:
> >
> > Yes, that is the case, there is no mystery, there is indeed a
> >  /root/.guix-profile/share/info/guix.info
> > and there is NOT a
> > ~user/.guix-profile/share/info/guix.info
> >
> > However I consider that a bug. Here I am a user, using guix, and I expect
> > "info guix" to work. Why would the user have to switch to root just to read
> > this one info file? After installing guix,  I would expect guix.info to be
> > in my defalt .guix-profile, or a least a notice of how to install
> > guix.info. ( coping and linking I know how to do, that's not the problem.
> > It's a question
> > of creating a polished piece of software.) Would "guix package -i guix" do
> > the right thing?
> > That seems all wrong, would install stuff I already have.
> 
> I think you need to adjust your expectations.  You only have Guix
> available *in the root user's profile*.  Each user has their own
> package profile, so running 'guix package -i guix' as your regular
> user is exactly what you want.  Why would you expect the system to
> magically read the info pages out of root's profile?  It's not
> installing stuff you already have because your user *didn't* have it.
> So, install the Guix package and set $INFOPATH to include
> $HOME/.guix-profile/share/info.
> 
> Ludo, to avoid this confusion in the future, perhaps the binary
> installation instructions for folks on foreign distros could have an
> additional instruction.  After symlinking root's guix to
> /usr/local/bin/guix, the documentation could suggest  symlinking the
> docs to /usr/local/share/info.  Would that help?

I only just realized that I have been using root's `guix` as my user,
because I have been relying on the `guix` in '/usr/local/bin'. I like
Efraim's suggestion of instructing users to `guix package -i guix`.

> - Dave